API DocumentationManufacturer customer controller

Get customers with filtering

GET
/api/manufacturer/v1/customer/paginated

Retrieves a paginated list of customers with optional filtering and search using RSQL

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Query Parameters

filter*string

filter specification

page?integer

Zero-based page index (0..N)

size?integer

The size of the page to be returned

sort?array<string>

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

search?string

Optional search term

Response Body

*/*

curl -X GET "https://example.com/api/manufacturer/v1/customer/paginated?filter=string"
{  "content": [    {      "email": "string",      "customerId": 0,      "organisationId": 0,      "organisationName": "string",      "isApproved": true,      "firstName": "string",      "lastName": "string",      "phoneNumber": "string",      "notificationPreference": "string",      "discountId": 0,      "discountPercentage": 0,      "language": "string"    }  ],  "totalElements": 0,  "totalPages": 0,  "pageNumber": 0,  "pageSize": 0,  "isEmpty": true,  "isFirst": true,  "isLast": true}

Last updated on